# Uses of Class
org.eclipse.ltk.core.refactoring.participants.MoveArguments

Packages that use MoveArguments
Package
Description
org.eclipse.ltk.core.refactoring.participants
Application programming interface to participant in existing rename, move and delete refactorings if the refactoring provider supports participation.

## Uses of MoveArguments in org.eclipse.ltk.core.refactoring.participants

Methods in org.eclipse.ltk.core.refactoring.participants that return MoveArguments
Modifier and Type
Method
Description
`MoveArguments`
MoveParticipant.`getArguments()`
Returns the move arguments.
Methods in org.eclipse.ltk.core.refactoring.participants with parameters of type MoveArguments
Modifier and Type
Method
Description
`static MoveParticipant[]`
ParticipantManager.`loadMoveParticipants(RefactoringStatus status, RefactoringProcessor processor, Object element, MoveArguments arguments, String[] affectedNatures, SharableParticipants shared)`
Loads the move participants for the given element.
`static MoveParticipant[]`
ParticipantManager.`loadMoveParticipants(RefactoringStatus status, RefactoringProcessor processor, Object element, MoveArguments arguments, IParticipantDescriptorFilter filter, String[] affectedNatures, SharableParticipants shared)`
Loads the move participants for the given element.